<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * http://www.shopmodule.com
 *
 * @copyright  D Data Development, Thomas Dartsch
 * @author    D Data Development <support@shopmodule.com>
 * @link      http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3watermark',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') //
        . ' Wasserzeichen / watermark',
    'description' => array(
        'de' => 'Versieht Ihre Artikelbilder automatisch mit einem individuellen Wasserzeichen. ' //
            . 'So sind Ihre Bilder individuell und lassen sich nicht einfach kopieren.',
        'en' => ''
    ),
    'thumbnail'   => 'picture.png',
    'version'     => '2.1.0.0',
    'author'      => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'http://www.oxidmodule.com/',
    'extend'      => array(
        'oxarticle'        => 'd3/d3watermark/modules/models/d3_oxarticle_watermark',
        'oxpicturehandler' => 'd3/d3watermark/modules/core/d3_oxpicturehandler_watermark',
    ),
    'files'       => array(
        'd3watermark_update'          => 'd3/d3watermark/setup/d3watermark_update.php',
        'd3watermark'                 => 'd3/d3watermark/models/d3watermark.php',
        'd3_cfg_watermark'            => 'd3/d3watermark/controllers/admin/d3_cfg_watermark.php',
        'd3_cfg_watermark_list'       => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_list.php',
        'd3_cfg_watermark_main'       => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_main.php',
        'd3_cfg_watermark_imagetypes' => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_imagetypes.php',
        'd3_cfg_watermark_licence'    => 'd3/d3watermark/controllers/admin/d3_cfg_watermark_licence.php',
    ),
    'templates'   => array(
        'd3_cfg_watermark_main.tpl'                => 'd3/d3watermark/views/admin/tpl/d3_cfg_watermark_main.tpl',
        'd3_cfg_watermark_imagetypes.tpl'          => 'd3/d3watermark/views/admin/tpl/d3_cfg_watermark_imagetypes.tpl',
        'd3_cfg_watermark_clearpictures_popup.tpl' => 'd3/d3watermark/views/admin/tpl/d3_cfg_watermark_clearpictures_popup.tpl',
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'blocks'      => array(),

    'd3FileRegister' => array(
        'd3/d3watermark/metadata.php',
        'd3/d3watermark/IntelliSenseHelper.php',
        'd3/d3watermark/menu.xml',
        'd3/d3watermark/picture.png',
        'd3/d3watermark/core/utils/d3_getimg_wm.php',
        'd3/d3watermark/core/utils/d3_oxpicgenerator_watermark.php',
        'd3/d3watermark/core/d3_oxdynimggenerator_watermark.php',
        'd3/d3watermark/models/d3watermark_activeCheck_forShop.php',
        'd3/d3watermark/public/d3watermark_src.php',
        'd3/d3watermark/views/admin/de/d3_watermark_lang.php',
    ),
);
